<?php
# $Id: local.inc.dist,v 1.8 2002/06/11 07:39:17 kemuri Exp $

/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

# Nagat (NGT) main configuration (mind ending slashes /)
define("NGT_ROOT","/usr/share/nagat/"); // where Nagat is installed
define("NGT_LIB",NGT_ROOT); // location of inc-files (exept local and sticky)
define("NGT_WEBROOT","/nagat"); // URL of Nagat

# Location of Nagios (mind ending slashes);
define("NAGIOS_PREFIX","/usr/share/nagios/");
define("NAGIOS_ETC","/etc/nagios/");

# Basic checks
if( !is_dir(NGT_ROOT) ) {
	print "Please edit NGT_ROOT in local.inc to point to the Nagat installation directory.";
	exit();
} else if( !is_dir(NAGIOS_ETC) ) {
	print "Please edit NAGIOS_PREFIX in local.inc to point to your Nagios installation.";
	exit();
} else if( get_cfg_var("register_globals") == 0 ) {
	print "<br><br><br><br><center><b>register_globals is off. This means you have PHP 4.2 or higher. Nagat was initially made with 4.0.6 and<br> will in the future make sure that your good choice will be respected. For now, set it to 'on' or just sit tight and <br>hope it will be fixed in next release of Nagat ;).</center><br><br><br><br>";
	phpinfo();
	exit();
}

# Cascade Style Sheet to use for HTML
define("CSS_URL","nagat.css");

# What error reporting do you want? (7 is good)
error_reporting(7);

# Leave the following line alone
require_once(NGT_ROOT."sticky.inc");

#
# PLUGIN CONFIGURATION
#
# Nagat (NGT) configuration. This can be anything: for the default plugin it
# should be a filename where serialized data should be sored. Or it can
# contain information to connect to a SQL server with some other plugin.
define("NGT_CFGLOC",NAGIOS_ETC); // Nagat configuration location

# Change this to the plugin you want to use. Nagat ships with plugin_default
# wich saves data so files containin serialized data.
require_once(NGT_LIB."plugin_default.inc");

?>
